/**
  Generated Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This is the main file generated using MPLABÃÂÃÂÃÂÃÂ® Code Configurator

  Description:
    This header file provides implementations for driver APIs for all modules selected in the GUI.
    Generation Information :
        Product Revision  :  MPLABÃÂÃÂÃÂÃÂ® Code Configurator - v2.25.2
        Device            :  PIC16F1619
        Driver Version    :  2.00
    The generated drivers are tested against the following:
        Compiler          :  XC8 v1.34
        MPLAB             :  MPLAB X v2.35 or v3.00
 */

/*
Copyright (c) 2013 - 2015 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
 */

#include "mcc_generated_files/mcc.h"

void Send_24bits_Data(void);
/*
                         Main application
 */
// uint24_t Color;
unsigned char i;

union{                              //  Ｄefine 24-bit ture color data &  each 8-bit color
    uint24_t Color;
    struct {
        unsigned char Green;
        unsigned char Red;
        unsigned char Blue;
    } RGB;
} Disp_Color;

void main(void) {
    // initialize the device
    SYSTEM_Initialize();

    // When using interrupts, you need to set the Global and Peripheral Interrupt Enable bits
    // Use the following macros to:

    // Enable the Global Interrupts
    //INTERRUPT_GlobalInterruptEnable();

    // Enable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptEnable();

    // Disable the Global Interrupts
    //INTERRUPT_GlobalInterruptDisable();

    // Disable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptDisable();
    __delay_ms(10);                     // Reset WS2812 

    while (1) 
    {
// Change the Green Color      
        Disp_Color.Color= 0x000000;
        for (i=0; i < 255; i++)
        {
            Disp_Color.RGB.Green = i;
            Send_24bits_Data( );
        }
        
        for (i=255; i>0; i--)
        {
            Disp_Color.RGB.Green = i;
            Send_24bits_Data( );
        }
        __delay_ms(250); 
        
// Change the Red Color
        Disp_Color.Color= 0x000000;
        for (i=0; i < 255; i++)
        {
            Disp_Color.RGB.Red = i;
            Send_24bits_Data( );
        }
        for (i=255; i>0; i--)
        {
            Disp_Color.RGB.Red = i;
            Send_24bits_Data( );
        }
         __delay_ms(250); 
         
// Change the Blue Color
        Disp_Color.Color= 0x000000;
        for (i=0; i < 255; i++)
        {
            Disp_Color.RGB.Blue = i;
            Send_24bits_Data( );
        }
        
        for (i=255; i>0 ; i--)
       {
            Disp_Color.RGB.Blue = i;
            Send_24bits_Data( );
        }
        __delay_ms(250);         
                                        
// Change the White
        Disp_Color.Color= 0x000000;
        for (i=0; i < 200; i++)
        {
            Disp_Color.RGB.Green = i;
            Disp_Color.RGB.Red = i;
            Disp_Color.RGB.Blue = i;
            Send_24bits_Data( );
        }
        
        for (i=200; i>1 ; i--)
       {
            Disp_Color.RGB.Green = i;
            Disp_Color.RGB.Red = i;
            Disp_Color.RGB.Blue = i;
            Send_24bits_Data( );
        }
        __delay_ms(250);   
    }
}

void Send_24bits_Data(void)
{
        // 第一顆 WS2812B 的顯示
        SPI_Exchange8bit(Disp_Color.RGB.Green);     // Green 
        SPI_Exchange8bit(Disp_Color.RGB.Red);       // Red
        SPI_Exchange8bit(Disp_Color.RGB.Blue);      // Blue
        // 第二顆 WS2812B 的顯示
        SPI_Exchange8bit(Disp_Color.RGB.Blue);     // Green 
        SPI_Exchange8bit(Disp_Color.RGB.Green);    // Red
        SPI_Exchange8bit(Disp_Color.RGB.Red);      // Blue
        
        __delay_ms(5);   // 送出 LED Reset 訊號，歸零
}
/**
 End of File
 */